set(CTEST_CMAKE_GENERATOR "Unix Makefiles")
set(CTEST_MEMORYCHECK_TYPE "AddressSanitizer")
set(CTEST_SOURCE_DIRECTORY ${CTEST_SCRIPT_DIRECTORY})
set(CTEST_MEMORYCHECK_SUPPRESSIONS_FILE ${CTEST_SOURCE_DIRECTORY}/MyASan.supp)
ctest_empty_binary_directory("${CTEST_BINARY_DIRECTORY}")
set(CTEST_MEMORYCHECK_TYPE "AddressSanitizer")
ctest_start(Experimental)
set(CONFIGURE_OPTIONS
  "-DCMAKE_BUILD_TYPE=Debug"
  "-DCMAKE_CXX_FLAGS=-g -O0 -fno-omit-frame-pointer -fsanitize=address"
  "-DCMAKE_C_FLAGS=-g -O0 -fno-omit-frame-pointer -fsanitize=address"
  "-DCMAKE_GENERATOR=Unix Makefiles"
  "-DCMAKE_CXX_COMPILER=clang"
  "-DCMAKE_C_COMPILER=clang"
)
ctest_configure(OPTIONS "${CONFIGURE_OPTIONS}")
ctest_build()
